Api referenceTopicIssues
Check a topic issue (Preview)
Preview · Available to selected organizations. Compiles the issue in its layout at the requested revision and returns diagnostics and declared fixtures. Requires issueContent and email.
Compiles the issue in its layout at the requested revision and returns diagnostics and declared fixtures. Requires issueContent and email.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^unsub_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
path*string
Match
^(?!.*\\)(?!.*(?:^|\/)\.{1,2}(?:\/|$))(?!.*(?:^|\/)\.git(?:\/|$))(?!.*\p{Cc})issues\/(?:[^/]+\/)*[^/]+\.md$Length
length <= 1024expectedRevision*string
Length
1 <= length <= 1024Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/topics/string/issues/check" \ -H "Content-Type: application/json" \ -d '{ "path": "string", "expectedRevision": "string" }'{ "projectId": "string", "revision": "string", "entryPath": "string", "declaration": { "codeDigest": "string", "templateId": "string", "input": { "schema": { "property1": "string", "property2": "string" }, "schemaDigest": "string", "contractDigest": "string" }, "fixtures": [ "string" ] }, "issue": { "path": "string", "frontmatter": { "title": "string", "slug": "string", "topic": "string", "preheader": "string", "seo": { "title": "string", "description": "string", "image": "string" }, "gate": { "leadIn": 0 } } }, "diagnostics": [ { "code": "string", "severity": "error", "message": "string", "origins": [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ], "clients": [ "string" ], "notes": "string", "provenance": "string", "fixtures": [ "string" ], "occurrences": [ [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ] ], "compatibility": { "assessment": "risk", "title": "string" } } ], "incompatibilities": [ { "code": "string", "severity": "error", "message": "string", "origins": [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ], "clients": [ "string" ], "notes": "string", "provenance": "string", "fixtures": [ "string" ], "occurrences": [ [ { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } ] ], "compatibility": { "assessment": "risk", "title": "string" } } ]}